﻿using System;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            string password     = "test1234";
            string salt         = HashHelper.CreateSalt(10);
            string passwordHash = HashHelper.CreateHash(password, salt);
            bool   result       = HashHelper.VerifyHash(password, passwordHash, salt);

            Console.WriteLine($"패스워드      : {password    }");
            Console.WriteLine($"솔트          : {salt        }");
            Console.WriteLine($"해시 패스워드 : {passwordHash}");
            Console.WriteLine($"검증 결과     : {result      }");
        }

        #endregion
    }
}